Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# DCKeywordList Class Reference

This is a list of keywords (see DCKeyword) that may be set on a particular field. More...

Inheritance diagram for DCKeywordList:

List of all members.

## Public Member Functions
bool | compareKeywords (DCKeywordList const other)
| Returns true if this list has the same keywords as the other list, false if some keywords differ.
DCKeyword const | getKeyword (int n)
| Returns the nth keyword in the list.
DCKeyword const | getKeywordByName (string name)
| Returns the keyword in the list with the indicated name, or NULL if there is no keyword in the list with that name.
int | getNumKeywords ()
| Returns the number of keywords in the list.
bool | hasKeyword (DCKeyword const keyword)
| Returns true if this list includes the indicated keyword, false otherwise.
bool | hasKeyword (string name)
| Returns true if this list includes the indicated keyword, false otherwise.

## Detailed Description

This is a list of keywords (see DCKeyword) that may be set on a particular field.

## Member Function Documentation

bool compareKeywords | ( | DCKeywordList const | other | ) |

Returns true if this list has the same keywords as the other list, false if some keywords differ.

Order is not considered important.

DCKeyword const getKeyword | ( | int | n | ) |

Returns the nth keyword in the list.

DCKeyword const getKeywordByName | ( | string | name | ) |

Returns the keyword in the list with the indicated name, or NULL if there is no keyword in the list with that name.

int getNumKeywords | ( |  | ) |

Returns the number of keywords in the list.

bool hasKeyword | ( | DCKeyword const | keyword | ) |

Returns true if this list includes the indicated keyword, false otherwise.

bool hasKeyword | ( | string | name | ) |

Returns true if this list includes the indicated keyword, false otherwise.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties